dotfiles.git

commit eb1d1f7dd201852000b7e997de1af61b4ede5ed9

Author: Adam Evyčędo <git@apiote.xyz>

himitsu for eeze

 .config/sh/functions | 79 ++-------------------------------------------


diff --git a/.config/sh/functions b/.config/sh/functions
index 42c96e13ada9289ed7b7b5606b3759919c8fb10d..bef9d8afd99bda4a08766c0c7fa61303934cdb0b 100644
--- a/.config/sh/functions
+++ b/.config/sh/functions
@@ -421,9 +421,9 @@
 shouldPassNow() {
   cd ~/Code/current/joeblack || return 1
   passLastDate=$(git log --date=unix | grep Date | tr -s ' ' |cut -d ' ' -f2- | head -n1)
-  cd ~/.local/share/eeze || return 1
-  eezeLastDate=$(git log --date=unix | grep Date | tr -s ' ' |cut -d ' ' -f2- | head -n1)
-  test "$passLastDate" -lt "$eezeLastDate"
+  cd ~/.local/share/himitsu || return 1
+  himitsuLastDate=$(git log --date=unix | grep Date | tr -s ' ' |cut -d ' ' -f2- | head -n1)
+  test "$passLastDate" -lt "$himitsuLastDate"
 }
 
 network_backup() {
@@ -556,39 +556,9 @@
 pass() {
 	case "$1" in
 		'sync')
-			shift
-			force=""
-			TEMP=$(getopt -n 'pass sync' -o 'f' -- "$@")
-			if [ $? -ne 0 ]
-			then
-				echo 'error parsing args'
-				exit 1
-			fi
-			eval set -- "$TEMP"
-			unset TEMP
-			while true
-			do
-				case "$1" in
-					'-f')
-						force='true'
-						shift
-						continue
-						;;
-					'--')
-						shift
-						break
-						;;
-				esac
-			done
-
-			cd ~/.local/share/eeze/ || (echo 'no eeze data dir'; exit 1)
+			cd ~/.local/share/himitsu/ || (echo 'no himitsu data dir'; exit 1)
 			echo 'pulling changes'
 			git pull
-			if [ -n "$force" ]
-			then
-				echo 'reindexing'
-				eeze -Ir
-			fi
 			echo 'pushing changes'
 			git push
 			cd ~/Code/current/joeblack || exit 0
@@ -598,47 +568,8 @@ 			git add payload
 			git commit -m "$(date '+%Y%m%dT%H%M')"
 			git push
 			;;
-		'new')
-			shift
-			opts_def='-sy'
-			num_def='20'
-			TEMP=$(getopt -n 'pass new' -o '01AaBcCNnHhsvy' -- "$@")
-			if [ $? -ne 0 ]
-			then
-				echo 'error parsing args'
-				exit 1
-			fi
-			eval set -- "$TEMP"
-			unset TEMP
-			while true
-			do
-				case "$1" in
-					'--')
-						shift
-						break
-						;;
-					*)
-						opts="$opts $1"
-						;;
-				esac
-			done
-			num="$1"
-
-			[ -z "$opts" ] && opts=$opts_def
-			[ -z "$num" ] && num=$num_def
-
-			echo '# adding to store'
-			pwgen $opts "$num" 1 | eeze-add
-
-			cd ~/Code/current/joeblack || exit 0
-			echo '# syncing Joe Black'
-			./encode
-			git add payload
-			git commit -m "$(date '+%Y%m%dT%H%M')"
-			git push
-			;;
 		*)
-			echo 'pass (sync|new) [options]'
+			echo 'pass sync'
 			;;
 	esac
 }